<?php
/*
Plugin Name: Xenion
Plugin URI: https://www.xenion.it
Description: Plugin del gestionale Xenion
Version: 1.35
Author: Xenion
Author URI: https://www.xenion.it
Text Domain: xenion
Domain Path: /languages
 */

$urlXenionHttps = "";
$urlXenionHttp = "";
$uniqueIDXenion = "";
$jsonConfigXenion = "";
$linkTitleXenion = "";
$nomeChiave = "uniqueIDXenion6";

///////////////////////////////////////////////////////////////////////////////////////////////////////
// Init
///////////////////////////////////////////////////////////////////////////////////////////////////////
function process_post() {
    global $urlXenionHttps;
    global $urlXenionHttp;
    global $uniqueIDXenion;
    global $nomeChiave;
    global $jsonConfigXenion;
    global $linkTitleXenion;
    
    $uniqueIDXenion = get_option($nomeChiave, false);
    if ($uniqueIDXenion == false) {
        add_option($nomeChiave, bin2hex(openssl_random_pseudo_bytes(25, $cstrong)) );
        $uniqueIDXenion = get_option($nomeChiave, false);
    }

    $linkTitleXenion = get_option("linkTitleXenion", false);
    if ($linkTitleXenion == false) {
        $randNumber = rand(1,10);
        if ($randNumber == 1) add_option("linkTitleXenion", "Il gestionale per strutture ricettive" );
        if ($randNumber == 2) add_option("linkTitleXenion", "Il Booking Engine per strutture ricettive" );
        if ($randNumber == 3) add_option("linkTitleXenion", "Il Channel Manager per strutture ricettive" );
        if ($randNumber == 4) add_option("linkTitleXenion", "Booking Engine di Xenion" );
        if ($randNumber == 5) add_option("linkTitleXenion", "PMS, Booking Engine, Channel Manager" );
        if ($randNumber == 6) add_option("linkTitleXenion", "Il gestionale semplice per strutture ricettive" );
        if ($randNumber == 7) add_option("linkTitleXenion", "Il gestionale per gli hotel" );
        if ($randNumber == 8) add_option("linkTitleXenion", "Il gestionale per le case vacanza" );
        if ($randNumber == 9) add_option("linkTitleXenion", "Il gestionale per agriturismi" );
        if ($randNumber == 10) add_option("linkTitleXenion", "Il gestionale per B&B" );
        $linkTitleXenion = get_option("linkTitleXenion", false);
    }
    
    //$urlXenionHttps = file_get_contents("http://nb.merkurio.it/my/mymodules/nightlybuild/services/readopen/nightlybuild?Idwordpress=" . $uniqueIDXenion);
    
    $urlXenionHttps = get_option($nomeChiave."_urlXenionHttps", "");
    $jsonConfigXenion = get_option($nomeChiave."_jsonConfigXenion", "");
    
    $urlXenionHttps = str_replace("\n", '', $urlXenionHttps);
    $urlXenionHttps = str_replace("\r", '', $urlXenionHttps);

    if ($urlXenionHttps != "KO") {
        $urlXenionHttp = $urlXenionHttps;
        if (strpos($urlXenionHttps, 'localhost') == false) {
                $urlXenionHttp = str_replace("https://my.xenion.it/", "", $urlXenionHttps);
                $urlXenionHttp = "http://" . $urlXenionHttp . ".xenion.it";
        }
    } else {
        $urlXenionHttps = "";
        $urlXenionHttp = "";
    }
}
add_action('init', 'process_post');

///////////////////////////////////////////////////////////////////////////////////////////////////////
// Add CSS and JS
///////////////////////////////////////////////////////////////////////////////////////////////////////
function add_async_forscript($url) {
    if (strpos($url, '#adddefer')===false)
        return $url;
    else if (is_admin())
        return str_replace('#adddefer', '', $url);
    else
        return str_replace('#adddefer', '', $url)."' defer onload='"; 
}
add_filter('clean_url', 'add_async_forscript', 11, 1);

function xenion_add_css_js() {
    global $urlXenionHttps;
    global $urlXenionHttp;
    global $uniqueIDXenion;

    wp_enqueue_style( 'bootstrap-css', plugin_dir_url( __FILE__ ) . 'css/bootstrap.css' );
    wp_enqueue_script( 'bootstrap-js', plugin_dir_url( __FILE__ ) . 'js/bootstrap.min.js', array(), '3.0.0', true );

    wp_enqueue_script( 'angular-js', plugin_dir_url( __FILE__ ) . 'js/angular.js', array(), '1.3.15', true );
    wp_enqueue_script( 'angular-sanitize', plugin_dir_url( __FILE__ ) . 'js/angular-sanitize.js', array(), '1.2.0', true );

    wp_enqueue_script( 'angular-strap-js', plugin_dir_url( __FILE__ ) . 'js/angularStrap/angular-strap.min.js', array(), '', true );
    wp_enqueue_script( 'angular-strap-tpl-js', plugin_dir_url( __FILE__ ) . 'js/angularStrap/angular-strap.tpl.min.js', array(), '', true );
    
    wp_enqueue_script( 'xenion-js', plugin_dir_url( __FILE__ ) . 'js/xenion/xenion.js', array(), '', true );
    wp_enqueue_style( 'xenion-css', plugin_dir_url( __FILE__ ) . 'css/xenion.css' );
    
    wp_enqueue_script( 'angular-translate', plugin_dir_url( __FILE__ ) . 'js/angular-translate.js', array(), '1.3.15', true );
    
    if ($urlXenionHttp != "") {
        wp_enqueue_script( 'xenion-translate', $urlXenionHttps . '/pacifik/services/translate.php?modulo=cms#adddefer', array(), '1.3.15', true );
        wp_localize_script( 'xenion-js', '__urlXenion', $urlXenionHttps );
        wp_localize_script( 'xenion-js', '__urlXenionHttp', $urlXenionHttp );
        wp_localize_script( 'xenion-js', '__uniqueIDXenion', $uniqueIDXenion );
    }
}
add_action( 'wp_enqueue_scripts', 'xenion_add_css_js' );

function xenion_admin_add_css_js() {
    global $urlXenionHttps;
    global $urlXenionHttp;

    wp_enqueue_script( 'xenion-js', plugin_dir_url( __FILE__ ) . 'js/xenion/xenion.js', array(), '', true );
    
    wp_localize_script( 'xenion-js', '__urlXenion', $urlXenionHttps );
    wp_localize_script( 'xenion-js', '__urlXenionHttp', $urlXenionHttp );
}
add_action( 'admin_enqueue_scripts', 'xenion_add_css_js' );


///////////////////////////////////////////////////////////////////////////////////////////////////////
// Configurazione back end
///////////////////////////////////////////////////////////////////////////////////////////////////////
// top bar
add_action('admin_bar_menu', 'my_custom_menu', 1000);
function my_custom_menu() {
    global $wp_admin_bar;
    if(!is_super_admin() || !is_admin_bar_showing()) return;
    $argsParent=array(
        'id' => 'xenion',
        'title' => 'Xenion',
        'href' => admin_url('admin.php?page=xenion-page')
    );
    $wp_admin_bar->add_menu($argsParent);
}
function enqueue_admin_bar_scripts () {
    wp_enqueue_style('xenion-admin-bar', plugin_dir_url( __FILE__ ).'css/admin.css' );
    wp_enqueue_script('xenion-admin-back-office-script', plugin_dir_url( __FILE__ ).'js/admin-back-office.js', array('jquery'));
    
    wp_localize_script("xenion-admin-back-office-script", "xenion_trad", array(
        "__attivaIlTuoXenion" => __("Activate Xenion", "xenion"),
        "__Attendere" => __("Waiting", "xenion"),
        "__AttenzioneTuttiICampiSonoObbligatori" => __("Warning, all fields are required", "xenion"),
        "__AttenzioneLIndirizzo" => __("Warning!<br>The address", "xenion"),
        "__EGiaInUso" => __("is already exist.<br>", "xenion"),
        "__ProvaACambiarloEPremiNuovamenteIlPulsantediAttivazione" => __("Try to changing it and then press the activation button again", "xenion")
    ));
    
    
    
}
add_action('admin_enqueue_scripts', 'enqueue_admin_bar_scripts');

// i-Frame
function xenion_form() {
    global $uniqueIDXenion;
    global $urlXenionHttps;
    global $urlXenionHttp;
    global $jsonConfigXenion;
    
?>      
    <script>
    var __idwordpress = "<?php echo $uniqueIDXenion;?>";
    </script>

    <div ng-app='xenAdminMain' ng-controller='mainAdminCtrl' ng-cloak="">
        <h1><?php _e('Welcome to Xenion', 'xenion')?></h1>
        <h2>Segui i seguenti 3 passi per attivare Xenion</h2>
        
        <div style="margin-top:20px; line-height: 24px;">
            <hr>
            <b>PASSO 1</b><br>
            <?php _e("Contact Xenion's support using the email", "xenion")?> <a href='mailto:info@xenion.it'>info@xenion.it</a>, <?php _e('communicating the following information', 'xenion')?>:<br>
            <div style="margin-top: 15px">
                <b><?php _e('Identification number', 'xenion')?>:</b> <?php echo $uniqueIDXenion?><br>
                <b><?php _e('Website', 'xenion')?>:</b> <?php echo $_SERVER['HTTP_HOST']?>
            </div>
        </div>

        <div style="margin-top:20px; line-height: 24px;">
            <hr>
            <b>PASSO 2</b><br>
            Leggi i parametri di Configurazione da Xenion<br>
            <button class='btn' style='width: 170px;' ng-click="leggiConfigurazioni()">
                <table style="width: 100%;"><tr style='height: 26px;'>
                    <td style="width: 100%;text-align: center;">Leggi Configurazioni
                </table>                               
            </button><br><br>
            
            <input ng-model="urlServerXenion"></input>
            <input type="textarea" ng-model="jsonConfigXenion"></input><br>
        </div>

        <div style="margin-top:20px; line-height: 24px;">
            <hr>
            <b>PASSO 3</b><br>
            Salva i parametri di Configurazione su Wordpress<br>
            <button class='btn' style='width: 170px;' ng-click="salvaConfigurazioni()">
                <table style="width: 100%;"><tr style='height: 26px;'>
                    <td style="width: 100%;text-align: center;">Salva Configurazioni
                </table>                               
            </button>
        </div>

    </div>
<?php
}
function add_pages_xenion() {
    $backoffice_hook = add_menu_page('Xenion', 'Xenion', 'administrator', 'xenion-page', 'xenion_form', plugin_dir_url( __FILE__ ).'images/menu-icon.png', 3);
}
add_action('admin_menu', 'add_pages_xenion');

add_action( 'wp_ajax_salvaConfigurazioni', 'my_ajax_salvaConfigurazioni' );

function my_ajax_salvaConfigurazioni() {
    global $nomeChiave;
    
    //echo($_POST["urlServerXenion"]);
    //echo($_POST["jsonConfigXenion"]);
    
    $jsonConfigXenion = $_POST["jsonConfigXenion"];
    $jsonConfigXenion = str_replace('\"', '"', $jsonConfigXenion);
    $jsonConfigXenion = str_replace('\\\\', '\\', $jsonConfigXenion);
    $jsonConfigXenion = str_replace("\'", "'", $jsonConfigXenion);
    
    add_option($nomeChiave."_urlXenionHttps", $_POST["urlServerXenion"]);
    update_option($nomeChiave."_urlXenionHttps", $_POST["urlServerXenion"]);

    add_option($nomeChiave."_jsonConfigXenion", $jsonConfigXenion);
    update_option($nomeChiave."_jsonConfigXenion", $jsonConfigXenion);
    
    wp_die();
}


///////////////////////////////////////////////////////////////////////////////////////////////////////
// Definizione shortCode
///////////////////////////////////////////////////////////////////////////////////////////////////////
/*
global $current_user;
get_currentuserinfo();
$html = "";
$html .= $current_user->ID . "<br>";
$html .= $current_user->user_login . "<br>";
$html .= $current_user->user_email . "<br>";
$html .= $current_user->display_name . "<br>";
$userdata = get_user_by('login', $current_user->user_login);
$html .= "password=" . wp_check_password("xxxx", $userdata->user_pass, $userdata->ID) . "<br>";
*/

function listroom_func( $atts ) {
    global $urlXenionHttps;
    $html = "Xenion is not properly configured";
    
    if ($urlXenionHttps != false) {
        $url = $urlXenionHttps."/pacifik/client/modules/hotels/services/readopen/roomtypes?Idindirizzoanag=2&prgr=1467365741485";
        //$json = file_get_contents($url);
        
        $json = "";
        
        $json = json_decode($json, true);            

        $lang = "en";
        if ( isset($atts['lang']) ) $lang = $atts['lang']; 
        
        $html = "";
        $html .= "<div class='row'>";

        foreach ($json as $row) {
            $html .= "<div class='col-xs-12 col-sm-6 col-md-4 col-lg-4' style='padding: 5px;'>";

                $html .= "<div style='background-color:#f0f0f0; padding: 0px;'>";
                    $html .= "<div>";
                        $img = $urlXenionHttps."/".getFirstImage($row, 'Immagini')->url;
                        $html .= "<img src='".$img."' style='width:100%' >";
                    $html .= "</div>";

                    $html .= "<div style='padding:10px; height: 100px'>";
                    $html .= "<strong>" . strlang($row["Name"], $lang) . "</strong><br>";
                    $html .= "<small>" . strlang($row["Descrizionebreve"], $lang) . "</small>";
                    $html .= "</div>";

                    $html .= "<div style='padding:10px'>";
                    $html .= "    <a target='_blank' href='".$urlXenionHttps."/paginaprenotazione?idroomtype=".$row["Idroomtype"]."' class='btn btn-warning'>Prenota</a>";
                    $html .= "</div>";
                $html .= "</div>";

            $html .= "</div>";
        }

        $html .= "</div>";
    }
    
    return $html;
}
add_shortcode('listroom', 'listroom_func');

function boxPren_func( $atts ) {
    global $urlXenionHttps;
    global $urlXenionHttp;
    global $jsonConfigXenion;
    global $linkTitleXenion;
    
    $html = "";

    $lang = "en";
    if ( isset($atts['lang']) ) $lang = $atts['lang']; 
    //if (function_exists('icl_object_id')) $lang = ICL_LANGUAGE_CODE;

    if ($lang=="de" || $lang=="en" || $lang=="es" || $lang=="fr" || $lang=="it" || $lang=="pt" || $lang=="ru") {
        wp_enqueue_script( 'angular-locale-'.$lang.'-js', plugin_dir_url( __FILE__ ) . 'js/angularStrap/angular-locale_'.$lang.'.js', array(), '', true );
    }

    $testDatePk = 0;
    
    if ( isset($atts['idstructure']) ) $idstructure  = $atts['idstructure']; 
    if ( isset($atts['test_date_picker']) ) $testDatePk  = $atts['test_date_picker']; 

    //$url = $urlXenionHttps."/pacifik/client/modules/hotels/services/readopen/configbookeng?id=1&language=".$lang."&prgr=1467365741485";
    //$json = file_get_contents($url);

    //$jsonConfigXenion = str_replace('\"', '"', $jsonConfigXenion);

    $json = json_decode($jsonConfigXenion, true);            

    $json = $json[$lang];
    
    $conf_titolo = $json["Titolo"];
    $conf_colorebackground = $json["Colorebackground"];
    $conf_colorebackgroundtrasparent = $json["Colorebackgroundtrasparent"];
    $conf_mostratitolicampi = $json["Mostratitolicampi"];
    $conf_coloretasto = $json["Coloretasto"];
    $conf_testotasto = $json["Testotasto"];
    $conf_stile = $json["Stile"];
    $conf_csscustom = $json["Csscustom"];
    $conf_htmlboxsearch = $json["Htmlboxsearch"];
    $conf_nadulticombo = $json["Nadulticombo"];
    $conf_nbambinicombo = $json["Nbambinicombo"];
    
    $conf_lblAdulto = $json["LblAdulto"];
    $conf_lblAdulti = $json["LblAdulti"];
    $conf_lblBambino = $json["LblBambino"];
    $conf_lblBambini = $json["LblBambini"];
    $conf_lblTipologia = $json["LblTipologia"];
    $conf_Tipologie = [];
    
    foreach ($json["Tipologie"] as $tipologia) {
        if (isset( $tipologia["Idindirizzoanag"])) {
            $arridstructures = explode(",", $idstructure);
            for($i=0;$i<count($arridstructures);$i++) {
                if (in_array($arridstructures[$i], $tipologia["Idindirizzoanag"])) {
                    $found = 0;
                    for($a=0;$a<count($conf_Tipologie);$a++) {
                        if ($conf_Tipologie[$a]["Idmacrotipologiaall"] == $tipologia["Idmacrotipologiaall"]) {
                            $found = 1;
                        }
                    }
                    if ($found == 0) {
                        $conf_Tipologie[] = $tipologia;
                    }
                }
            }
        }
    }
    
    $conf_directiondatepicker = "bottom";
    if (isset($json["Directiondatepicker"]) == true && $json["Directiondatepicker"]==1) {
        $conf_directiondatepicker = "top";
    }

    if ($conf_nadulticombo === null) $conf_nadulticombo = 20; 
    if ($conf_nbambinicombo === null) $conf_nbambinicombo = 15;
    
    if (wp_is_mobile()) {
        $conf_mostratitolicampi = 0;
    }
    
    ///////
    wp_localize_script( 'xenion-js', '__lang', $lang );
    wp_localize_script( 'xenion-js', '__idstructureXenion', $idstructure );
    wp_localize_script( 'xenion-js', '__directionDatepicker', $conf_directiondatepicker );
    
    $html .= "<style>";
    
    if ($conf_colorebackgroundtrasparent!=null && $conf_colorebackgroundtrasparent!="" && $conf_colorebackgroundtrasparent!=0) {
        list($conf_colorebackground_r, $conf_colorebackground_g, $conf_colorebackground_b) = sscanf($conf_colorebackground, "#%02x%02x%02x");
        $html .= "    #box-pren-xenion {";
        $html .= "        background-color: rgba($conf_colorebackground_r,$conf_colorebackground_g,$conf_colorebackground_b,".($conf_colorebackgroundtrasparent/100).");";
        $html .= "        padding-top: 10px;";
        $html .= "        padding-bottom: 22px;";
        $html .= "        padding-left: 10px;";
        $html .= "        padding-right: 6px;";
        $html .= "        position: relative;";
        $html .= "    }";

        $html .= "    @media (max-width: 991px) {";
        $html .= "        #box-pren-xenion {";
        $html .= "            padding-right: 10px;";
        $html .= "            padding-bottom: 3px;";
        $html .= "        }";
        $html .= "    }";
        
        $html .= "    @media (max-width: 991px) {";
        $html .= "        #box-pren-xenion .col-pren {";
        $html .= "            padding-right: 3px;";
        $html .= "            padding-bottom: 3px;";
        $html .= "        }";
        $html .= "    }";
    }
    
    if ($conf_coloretasto!=null && $conf_coloretasto!="") {
        $html .= "    #box-pren-xenion .btn-search {";
        $html .= "        background-color: $conf_coloretasto;";
        $html .= "    }";
    }
    
    if ($conf_mostratitolicampi == 1) {
        $html .= "    @media (max-width: 991px) {";
        $html .= "        #box-pren-xenion .col-pren {";
        $html .= "            padding-top: 3px;";
        $html .= "        }";
        $html .= "    }";
    }
    
    $html .= $conf_csscustom;
    
    $html .= "</style>";
    
    $html .= "<div id='box-pren-xenion' ng-app='xenMain' ng-controller='mainCtrl'>";
	$html .= "<div class='bootstrap-xenion'>";
    
    if ($conf_titolo!=null && $conf_titolo!="") {
        $html .= "<div class='col-md-12 title' ng-class=\"{'col-pren-active':elementwithfocus=='ci'}\" >";
        $html .=     $conf_titolo;
        $html .= "</div>";
        $html .= "<div class='clearfix'></div>";
    }

    ///////////
    $mostra_Bambinicombo = 0;
    $mostra_Tipologiecombo = 0;

    if ($conf_nbambinicombo > 0) {
        $mostra_Bambinicombo = 1;
    }

    if (count($conf_Tipologie) > 1) {
        $mostra_Tipologiecombo = 1;
    }
    
    ///////////
    if ($mostra_Bambinicombo == 0 && $mostra_Tipologiecombo == 0) {
        $numColCi = 4;
        $numColCo = 4;
        $numColAdulti = 3;
        $numBtnCerca = 1;
    }
    if ($mostra_Bambinicombo == 0 && $mostra_Tipologiecombo == 1) {
        $numColCi = 3;
        $numColCo = 3;
        $numColTipoAll = 3;
        $numColAdulti = 2;
        $numBtnCerca = 1;
    }
    if ($mostra_Bambinicombo == 1 && $mostra_Tipologiecombo == 0) {
        $numColCi = 3;
        $numColCo = 3;
        $numColAdulti = 2;
        $numColBambini = 2;
        $numBtnCerca = 2;
    }
    if ($mostra_Bambinicombo == 1 && $mostra_Tipologiecombo == 1) {
        $numColCi = 2;
        $numColCo = 2;
        $numColTipoAll = 3;
        $numColAdulti = 2;
        $numColBambini = 2;
        $numBtnCerca = 1;
    }


    ///////////
    $title_ci = ucfirst("Check-in");
    $title_co = ucfirst("Check-out");
    $title_tipall = ucfirst($conf_lblTipologia);
    $title_adult = ucfirst($conf_lblAdulti);
    $title_bamb = ucfirst($conf_lblBambini);
    
    ///////////
    if ($conf_mostratitolicampi != 1) {
        $html .= "<div class='hidden-xs hidden-sm col-md-".$numColCi." col-pren-title'>";
        $html .= $title_ci;
        $html .= "</div>";
        $html .= "<div class='hidden-xs hidden-sm col-md-".$numColCo." col-pren-title'>";
        $html .= $title_co;
        $html .= "</div>";
        if ($mostra_Tipologiecombo == 1) {
            $html .= "<div class='hidden-xs hidden-sm col-md-".$numColTipoAll." col-pren-title'>";
            $html .= $title_tipall;
            $html .= "</div>";
        }
        $html .= "<div class='hidden-xs hidden-sm col-md-".$numColAdulti." col-pren-title'>";
        $html .= $title_adult;
        $html .= "</div>";
        if ($mostra_Bambinicombo == 1) {
            $html .= "<div class='hidden-xs hidden-sm col-md-".$numColBambini." col-pren-title'>";
            $html .= $title_bamb;
            $html .= "</div>";
        }
        $html .= "<div class='clearfix'></div>";
    }
    
    ///////////
    if ($conf_mostratitolicampi != 1) {    
        $html .= "<div class='visible-xs visible-sm col-sm-12 col-md-".$numColCi." col-pren-title-2'>";
        $html .= $title_ci;
        $html .= "</div>";
        $title_ci = "";
    }
    $html .= "<div class='col-md-".$numColCi." col-pren' ng-class=\"{'col-pren-active':elementwithfocus=='ci'}\" >";
    if (wp_is_mobile()) {
        $html .= "    <input style='padding-top:8px' id='checkIn' autocomplete='off' type='date' class='form-control form-control-date input-text' ng-focus=\"focus('ci')\" ng-change='changeDate()' ng-model='prenotazione.dataDa'>";
    } else {
        $html .= "    <input id='checkIn' autocomplete='off' type='text' placeholder='$title_ci' class='form-control form-control-date input-text' ng-focus=\"focus('ci')\" ng-change='changeDate()' ng-model='prenotazione.dataDa' data-min-date='{{today}}' name='date' bs-datepicker>";
    }
    $html .= "</div>";

    ///////////
    if ($conf_mostratitolicampi != 1) {    
        $html .= "<div class='visible-xs visible-sm col-sm-12 col-md-".$numColCo." col-pren-title-2'>";
        $html .= $title_co;
        $html .= "</div>";
        $title_co = "";
    }
    $html .= "<div class='col-md-".$numColCo." col-pren' ng-class=\"{'col-pren-active':elementwithfocus=='co'}\" >";
    if (wp_is_mobile()) {
        $html .= "    <input style='padding-top:8px' id='checkOut' autocomplete='off'  type='date' class='form-control form-control-date input-text' ng-focus=\"focus('co')\" ng-change='changeDate()' ng-model='prenotazione.dataAl'>";
    } else {
        $html .= "    <input id='checkOut' autocomplete='off' type='text' placeholder='$title_co' class='form-control form-control-date input-text' ng-focus=\"focus('co')\" ng-change='changeDate()' ng-model='prenotazione.dataAl' name='date' bs-datepicker>";
    }
    $html .= "</div>";

    ///////////
    if ($mostra_Tipologiecombo == 1) {
        if ($conf_mostratitolicampi != 1) {    
            $html .= "<div class='visible-xs visible-sm col-sm-12 col-md-".$numColTipoAll." col-pren-title-2'>";
            $html .= $title_tipall;
            $html .= "</div>";
            $title_tipall = "";
        }
        $html .= "<div class='col-md-".$numColTipoAll." col-pren' ng-class=\"{'col-pren-active':elementwithfocus=='tipall'}\" >";
        $html .= "    <select ng-focus=\"focus('tipall')\" ng-model='prenotazione.idmacrotipologiaall' class='form-control input-select'>";
        if ($conf_mostratitolicampi == 1) $html .= "        <option value='' selected>$title_tipall</option>";
        foreach ($conf_Tipologie as $tipologia) {
            $html .= "        <option value='". $tipologia["Idmacrotipologiaall"] ."'>". $tipologia["Descrizione"] ."</option>";
        }
        $html .= "    </select>";
        $html .= "</div>";
    }

    ///////////
    if ($conf_mostratitolicampi != 1) {    
        $html .= "<div class='visible-xs visible-sm col-sm-12 col-md-".$numColAdulti." col-pren-title-2'>";
        $html .= $title_adult;
        $html .= "</div>";
        $title_adult = "";
    }
    $html .= "<div class='col-md-".$numColAdulti." col-pren' ng-class=\"{'col-pren-active':elementwithfocus=='adulti'}\" >";
    $html .= "    <select ng-focus=\"focus('adulti')\" ng-model='prenotazione.numAdulti' class='form-control input-select'>";
    if ($conf_mostratitolicampi == 1) $html .= "        <option value='' selected>$title_adult</option>";
    for($i=1;$i<=$conf_nadulticombo;$i++) {
        if ($i==1) {
            $html .= "<option value='".$i."'>".$i." ".$conf_lblAdulto."</option>";
        } else {
            $html .= "<option value='".$i."'>".$i." ".$conf_lblAdulti."</option>";
        }
    }
    $html .= "    </select>";
    $html .= "</div>";

    ///////////
    if ($mostra_Bambinicombo == 1) {
        if ($conf_mostratitolicampi != 1) {    
            $html .= "<div class='visible-xs visible-sm col-sm-12 col-md-".$numColBambini." col-pren-title-2'>";
            $html .= $title_bamb;
            $html .= "</div>";
            $title_bamb = "";
        }
        $html .= "<div class='col-md-".$numColBambini." col-pren' ng-class=\"{'col-pren-active':elementwithfocus=='bambini'}\" >";
        $html .= "    <select ng-focus=\"focus('bambini')\" ng-model='prenotazione.numBambini' class='form-control input-select'>";
        if ($conf_mostratitolicampi == 1) $html .= "        <option value='' disabled selected>$title_bamb</option>";
        for($i=0;$i<=$conf_nbambinicombo;$i++) {
            if ($i==1) {
                $html .= "<option value='".$i."'>".$i." ".$conf_lblBambino."</option>";
            } else {
                $html .= "<option value='".$i."'>".$i." ".$conf_lblBambini."</option>";
            }
        }
        $html .= "    </select>";
        $html .= "</div>";
    }

    if ($conf_testotasto==null || $conf_testotasto=="") {
        $conf_testotasto = "Search";
    }
    
    $html .= "<div class='col-xs-6 col-sm-3 col-md-".$numBtnCerca." col-search'>";
    $html .= "   <div ng-click='startSearch()' ng-disabled='prenotazione.dateOK==undefined' class='btn btn-sm btn-primary btn-search'>$conf_testotasto</div>";
    $html .= "</div>";
    
    $html .= "<div class='clearfix'></div>";
    
    $html .= "<div ng-cloak>" . $conf_htmlboxsearch . "</div>";
    
    $html .= "<div class='clearfix'></div>";
    
    $html .= "<div class='col-md-12 powered-by'>";
    $html .= "powered by <a class='link-xenion' title='".$linkTitleXenion."' target='_new' href='https://www.xenion.it/'><u>xenion</u></a>";
    $html .= "</div>";
    
    $html .= "</div>";
    $html .= "</div>";
    
    $html .= "<script>";
	$html .= "    __testDatePk = '".$testDatePk."';";
    $html .= "</script>";
	
    return $html;
}
add_shortcode('box_pren', 'boxPren_func');

///////////////////////////////////////////////////////////////////////////////////////////////////////
// Funzioni generiche
///////////////////////////////////////////////////////////////////////////////////////////////////////
function strlang ($value, $language) {
    $ret = $value;
    if ( strcmp( substr($value, 0, 14), "multilanguage=")==0 ) {
        $ret = json_decode (str_replace("multilanguage=", "", $value) );
        if (isset($ret->$language)) {
            $ret = $ret->$language;
        } else {
            $ret = "";
        }
    }                
    return $ret;
}                   

function getFirstImage($row, $colFoto="Photo") {
    $ret = new stdClass();
    $ret->url = "";
    $ret->description = "";
    try {
        $arrImg = $row[$colFoto];
        $arrImg = str_replace("arrFiles=", "", $arrImg);
        $arrImg = json_decode($arrImg);
        if (count($arrImg) > 0) {
            $ret = $arrImg[0];
        }
    } catch (Exception $e) {}

    return $ret;
}

function getImages($row, $colFoto="Photo") {
    $ret = array();
    try {
        $arrImg = $row[$colFoto];
        $arrImg = str_replace("arrFiles=", "", $arrImg);
        $arrImg = json_decode($arrImg);
        $ret = $arrImg;
    } catch (Exception $e) {}
    return $ret;
}

// Aggiunge le traduzioni
function xenion_textdomain() {
    load_plugin_textdomain( 'xenion', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
}
add_action( 'plugins_loaded', 'xenion_textdomain' );